Loading...
Searching...
No Matches
raptor::file_reader< file_types::minimiser > Class Reference

## Public Member Functions

| file_reader (file_reader &&)=default
| file_reader (file_reader const &)=default
| file_reader (seqan3::shape const, uint32_t const)
void | for_each_hash (std::string const &filename, auto &&callback) const
void | for_each_hash (std::vector< std::string > const &filenames, auto &&callback) const
template<std::output_iterator< uint64_t > it_t>
void | hash_into (std::string const &filename, it_t target) const
template<std::output_iterator< uint64_t > it_t>
void | hash_into (std::vector< std::string > const &filenames, it_t target) const
template<std::output_iterator< uint64_t > it_t>
void | hash_into_if (std::string const &filename, it_t target, auto &&pred) const
template<std::output_iterator< uint64_t > it_t>
void | hash_into_if (std::vector< std::string > const &filenames, it_t target, auto &&pred) const
file_reader & | operator= (file_reader &&)=default
file_reader & | operator= (file_reader const &)=default

The documentation for this class was generated from the following file:

- file_reader.hpp